- name: Set Postgresql Scrape Configs
  set_fact:
    psql_scrape_configs: "{{ psql_scrape_configs + [{ 'job_name': item.name, 'metrics_path': item.metrics_path, 'basic_auth': {'username': item.user, 'password': item.password}, 'scheme': 'https', 'static_configs': [{'targets': [item.url]}], 'relabel_configs': [{'source_labels': ['__address__'], 'target_label': 'instance', 'replacement': item.url}], 'metric_relabel_configs': [{'source_labels': ['__name__'], 'action': 'keep'}]}] }}"
  with_items: "{{ psql_scrape_list }}"

- name: Populate Prometheus Scrape Configs
  set_fact:
    prometheus_scrape_configs: "{{  prometheus_scrape_configs + psql_scrape_configs }}"
